## Version Information

Version Information — Macros and functions to check the GtkSourceView version

## Functions

guint | gtk_source_get_major_version ()
guint | gtk_source_get_minor_version ()
guint | gtk_source_get_micro_version ()
gboolean | gtk_source_check_version ()
#define | GTK_SOURCE_CHECK_VERSION()

## Types and Values

#define | GTK_SOURCE_MAJOR_VERSION
#define | GTK_SOURCE_MINOR_VERSION
#define | GTK_SOURCE_MICRO_VERSION
#define | GTK_SOURCE_VERSION_3_0
#define | GTK_SOURCE_VERSION_3_2
#define | GTK_SOURCE_VERSION_3_4
#define | GTK_SOURCE_VERSION_3_6
#define | GTK_SOURCE_VERSION_3_8
#define | GTK_SOURCE_VERSION_3_10
#define | GTK_SOURCE_VERSION_3_12
#define | GTK_SOURCE_VERSION_3_14
#define | GTK_SOURCE_VERSION_3_16
#define | GTK_SOURCE_VERSION_3_18
#define | GTK_SOURCE_VERSION_3_20
#define | GTK_SOURCE_VERSION_3_22
#define | GTK_SOURCE_VERSION_3_24
#define | GTK_SOURCE_VERSION_MIN_REQUIRED
#define | GTK_SOURCE_VERSION_MAX_ALLOWED

## Includes

    #include <gtksourceview/gtksource.h>

## Description

## Functions

### gtk_source_get_major_version ()

    guint
    gtk_source_get_major_version (void);

Returns the major version number of the GtkSourceView library. (e.g. in GtkSourceView version 3.20.0 this is 3.)

This function is in the library, so it represents the GtkSourceView library your code is running against. Contrast with the GTK_SOURCE_MAJOR_VERSION macro, which represents the major version of the GtkSourceView headers you have included when compiling your code.

#### Returns

the major version number of the GtkSourceView library

Since: 3.20

### gtk_source_get_minor_version ()

    guint
    gtk_source_get_minor_version (void);

Returns the minor version number of the GtkSourceView library. (e.g. in GtkSourceView version 3.20.0 this is 20.)

This function is in the library, so it represents the GtkSourceView library your code is running against. Contrast with the GTK_SOURCE_MINOR_VERSION macro, which represents the minor version of the GtkSourceView headers you have included when compiling your code.

#### Returns

the minor version number of the GtkSourceView library

Since: 3.20

### gtk_source_get_micro_version ()

    guint
    gtk_source_get_micro_version (void);

Returns the micro version number of the GtkSourceView library. (e.g. in GtkSourceView version 3.20.0 this is 0.)

This function is in the library, so it represents the GtkSourceView library your code is running against. Contrast with the GTK_SOURCE_MICRO_VERSION macro, which represents the micro version of the GtkSourceView headers you have included when compiling your code.

#### Returns

the micro version number of the GtkSourceView library

Since: 3.20

### gtk_source_check_version ()

    gboolean
    gtk_source_check_version (guint major,
                              guint minor,
                              guint micro);

Like GTK_SOURCE_CHECK_VERSION, but the check for gtk_source_check_version is at runtime instead of compile time. This is useful for compiling against older versions of GtkSourceView, but using features from newer versions.

#### Parameters

major | the major version to check |
minor | the minor version to check |
micro | the micro version to check |

#### Returns

`TRUE` if the version of the GtkSourceView currently loaded is the same as or newer than the passed-in version.

Since: 3.20

### GTK_SOURCE_CHECK_VERSION()

    #define             GTK_SOURCE_CHECK_VERSION(major, minor, micro)

## Types and Values

### GTK_SOURCE_MAJOR_VERSION

    #define GTK_SOURCE_MAJOR_VERSION (3)

### GTK_SOURCE_MINOR_VERSION

    #define GTK_SOURCE_MINOR_VERSION (24)

### GTK_SOURCE_MICRO_VERSION

    #define GTK_SOURCE_MICRO_VERSION (11)

### GTK_SOURCE_VERSION_3_0

    #define GTK_SOURCE_VERSION_3_0 (G_ENCODE_VERSION (3, 0))

### GTK_SOURCE_VERSION_3_2

    #define GTK_SOURCE_VERSION_3_2 (G_ENCODE_VERSION (3, 2))

### GTK_SOURCE_VERSION_3_4

    #define GTK_SOURCE_VERSION_3_4 (G_ENCODE_VERSION (3, 4))

### GTK_SOURCE_VERSION_3_6

    #define GTK_SOURCE_VERSION_3_6 (G_ENCODE_VERSION (3, 6))

### GTK_SOURCE_VERSION_3_8

    #define GTK_SOURCE_VERSION_3_8 (G_ENCODE_VERSION (3, 8))

### GTK_SOURCE_VERSION_3_10

    #define GTK_SOURCE_VERSION_3_10 (G_ENCODE_VERSION (3, 10))

### GTK_SOURCE_VERSION_3_12

    #define GTK_SOURCE_VERSION_3_12 (G_ENCODE_VERSION (3, 12))

### GTK_SOURCE_VERSION_3_14

    #define GTK_SOURCE_VERSION_3_14 (G_ENCODE_VERSION (3, 14))

### GTK_SOURCE_VERSION_3_16

    #define GTK_SOURCE_VERSION_3_16 (G_ENCODE_VERSION (3, 16))

### GTK_SOURCE_VERSION_3_18

    #define GTK_SOURCE_VERSION_3_18 (G_ENCODE_VERSION (3, 18))

### GTK_SOURCE_VERSION_3_20

    #define GTK_SOURCE_VERSION_3_20 (G_ENCODE_VERSION (3, 20))

### GTK_SOURCE_VERSION_3_22

    #define GTK_SOURCE_VERSION_3_22 (G_ENCODE_VERSION (3, 22))

### GTK_SOURCE_VERSION_3_24

    #define GTK_SOURCE_VERSION_3_24 (G_ENCODE_VERSION (3, 24))

### GTK_SOURCE_VERSION_MIN_REQUIRED

    #define GTK_SOURCE_VERSION_MIN_REQUIRED (GTK_SOURCE_VERSION_CUR_STABLE)

### GTK_SOURCE_VERSION_MAX_ALLOWED

    #define GTK_SOURCE_VERSION_MAX_ALLOWED  GTK_SOURCE_VERSION_MIN_REQUIRED